from evrouting.gasstation import shortest_path

from .config import edge_case, get_graph


def test_shortest_path():
    G = get_graph(edge_case)

    path = shortest_path(
        G,
        s=edge_case['s'],
        t=edge_case['t'],
        b_0=edge_case['b_0'],
        b_t=edge_case['b_t'],
        U=edge_case['U']
    )

    assert path == [(0, 4), (2, 0)]
